<?php
	$format = get_post_format();
	if( 'gallery' == $format ){
		$icon = 'icon-picture';
	} elseif( 'image' == $format ){
		$icon = 'icon-camera-1';
	} elseif( 'quote' == $format ){
		$icon = 'icon-quote';
	} elseif( 'video' == $format ){
		$icon = 'icon-video';
	} elseif( 'chat' == $format ){
		$icon = 'icon-chat';
	} elseif( 'audio' == $format ){
		$icon = 'icon-note-beamed';
	} elseif( 'link' == $format ){
		$icon = 'icon-link';
	} else {
		$icon = 'icon-pencil';
	}
?>

<div class="post format-<?php echo esc_attr(get_post_format()); ?>">

	<div class="date-wrapper">
		<div class="date">
			<span class="day"><?php the_time('d'); ?></span> 
			<span class="month"><?php the_time('M'); ?></span> 
		</div>
	</div>
	
	<div class="format-wrapper"> 
		<i class="<?php echo esc_attr($icon); ?>"></i> 
	</div>
	
	<?php 
		get_template_part('inc/content-postformat', $format);
		the_title('<h2 class="post-title"><a href="'. get_permalink() .'">', '</a></h2>');
		get_template_part('inc/content', 'post-meta');
		
		if( 'chat' == $format ){
			the_content();
		} else {
			the_excerpt();
		}
	?>
	
	<a href="<?php the_permalink(); ?>" class="more"><?php echo get_option('blog_continue','Continue Reading'); ?></a> 

</div>

<hr />